wrong sahara public url in endpoint list

Bug #1305918 reported by Denis Egorenko on 2014-04-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Denis Egorenko
4.1.x
High
Denis Egorenko

Bug Description

{"build_id": "2014-04-07_15-04-24", "mirantis": "yes", "build_number": "261", "nailgun_sha": "5efa9d21162cd30394f2f608641c324a80ea43dd", "ostf_sha": "17f2fe6e56452f8e2f01a385be4c4b87bf3698a8", "fuelmain_sha": "0ed7471818bc50699d33e217c28114234c08c8ee", "astute_sha": "183fe05cd59a5ce6d154fa263a5a8bf5f27db0ec", "release": "5.0", "fuellib_sha": "4d942716e3cc8b40ad868d0c4836c6010fbdc42e"}

To reproduce:
1) Deploy HA;
2) Sahara;

Wrong public url in keystone endpoint-list (points to internal interface):

publicurl: http://192.168.0.1:8386/v1.1/%(tenant_id)s

sahara cluster-list

ERROR: HTTPConnectionPool(host='192.168.0.1', port=8386): Max retries exceeded with url: /v1.1/93fe5f34eff6415ebc0ba11b493c0514/clusters (Caused by <class 'socket.error'>: [Errno 111] Connection refused)

tags: added: icehouse
Changed in fuel:
assignee: nobody → Denis Egorenko (degorenko)
status: New → In Progress
Roman Vyalov (r0mikiam) on 2014-04-10
Changed in fuel:
milestone: none → 5.0
importance: Undecided → High
milestone: 5.0 → none
Changed in fuel:
milestone: none → 5.0

Reviewed: https://review.openstack.org/86835
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=084a08b81d53194796652692f890f1e0e2ef6999
Submitter: Jenkins
Branch: master

commit 084a08b81d53194796652692f890f1e0e2ef6999
Author: Denis Egorenko <email address hidden>
Date: Fri Apr 11 13:04:52 2014 +0400

    Fix HA mode troubles with Sahara

    * fix wrong Sahara public url in keystone endpoint-list
    * add Sahara to Haproxy namespace

    Closes bug #1305918

    Change-Id: I00d2ccccc190a7ba1666b79880574fa56c31ec42

Changed in fuel:
status: In Progress → Fix Committed
Anastasia Palkina (apalkina) wrote :

Verified on ISO #216
"build_id": "2014-05-22_01-10-31",
"mirantis": "yes",
"build_number": "216",
"ostf_sha": "5c479f04c35127576d35526650ec83b104f9a33d",
"nailgun_sha": "31fcb161ff8d6bfb861b041467440752c0e9c537",
"production": "docker",
"api": "1.0",
"fuelmain_sha": "dda9cff27999e74b80e8e6a9e665e7e9677ab994",
"astute_sha": "9a0d86918724c1153b5f70bdae008dea8572fd3e",
"release": "5.0",
"fuellib_sha": "872b6a7a968b619a493ad46c504910020ea2edae"

Changed in fuel:
status: Fix Committed → Fix Released
Andrew Woodward (xarses) on 2014-05-27
tags: added: ha haproxy

Reviewed: https://review.openstack.org/96155
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=2c4f3dc68a44d3a6c5685abd6eafe4a410c6ecf2
Submitter: Jenkins
Branch: stable/4.1

commit 2c4f3dc68a44d3a6c5685abd6eafe4a410c6ecf2
Author: Denis Egorenko <email address hidden>
Date: Wed May 28 17:00:28 2014 +0400

    Fix HA mode troubles with Savanna

    * fix wrong Savanna public url in keystone endpoint-list
    * add Savanna to Haproxy namespace

    Closes bug #1305918

    Change-Id: Ie2b2e1266f4d3cf0a9a4c5043d17aeaea12fdebb

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers